uniform sampler2D			Texture0;			// main texture, only a relevent: light
uniform sampler2D			Texture1;			// '1D' contour ranp
uniform sampler2D			Texture2;			// detail with bump in alpha
uniform sampler2D			Texture3;			// cloud shadows
uniform sampler2D			Texture4;			// water

uniform		lowp		vec4	SunColour;
uniform		lowp		vec4	WaterColour;
uniform		lowp		vec4	FogColour;

varying		mediump	float	contourCoord;
varying		mediump	vec2	mainCoord;
varying		highp	vec2	detailCoord;
varying		mediump	float	fog;
varying		highp		vec2	skyCoord;

void main(void)
{	
	lowp vec4		mainColour;

	lowp float cloud = (texture2D(Texture3, skyCoord).r+texture2D(Texture3, mainCoord).r)-1.0;
	cloud*=fog;
	mainColour = FogColour;//*cloud;
	mainColour.a = cloud; 
	gl_FragColor = mainColour;//mix(mainColour,FogColour,unFog);
	
}
 