uniform sampler2D			Texture0;			// water
uniform sampler2D			Texture1;			// coast ramp

varying		mediump	vec2	detailCoord;
varying		mediump	vec2	rampCoord;

varying		lowp		vec4	FoggedWaterSun;
varying		lowp		vec4	AddFog;

void main(void)
{
	lowp vec4 waterColour = texture2D(Texture0,detailCoord);
	
	waterColour += texture2D(Texture1,rampCoord,0.0);
	waterColour *= FoggedWaterSun;
	gl_FragColor = waterColour+AddFog;
}
