uniform sampler2D			Texture0;			// main texture, only a relevent: light
uniform sampler2D			Texture2;			// detail with bump in alpha

//uniform		lowp		vec4	LookUpTable[17];
varying		mediump	vec2	mainCoord;
varying		mediump	vec2	detailCoord;

varying		lowp		vec4	FoggedSun;
varying		lowp		vec4	AddFog;

void main(void)
{	
	
	lowp vec4		mainColour = texture2D(Texture0,mainCoord);
	
	lowp vec2	details = texture2D(Texture2,detailCoord).xy;
	lowp float dtexel = mix(details.y,details.x,mainColour.a);
	
	mainColour *= dtexel;

	gl_FragColor = mainColour*FoggedSun+AddFog;
}
	