uniform sampler2D			Texture0;
uniform sampler2D			Texture1;

varying		highp	vec2	mainCoord;
varying		highp	vec2	windCoord;

varying		lowp	vec4	DayContrib;
varying		lowp	vec4	NightContrib;
varying		lowp	vec4	FogContrib;

void main(void)
{
	lowp vec4 day = texture2D(Texture0,windCoord);
	lowp vec4 night = texture2D(Texture1,mainCoord);
	
	gl_FragColor = day*DayContrib + night*NightContrib + FogContrib;
}
